Про WordPress

Як виправити проблему з jQuery у WordPress 5.5

Остання версія WordPress 5.5 здивувала несподівано та неприємно деяких власників сайтів. Далі опишемо, чи саме, та як це виправити.

WordPress 5.5 багато в чому вдався. Але, як завжди після масштабного оновлення, трапляються конфлікти з темами та плагінами, які призводили до повної або часткової непрацездатності сайтів. Саме тому на нашому хостингу WordPress ми закликаємо усіх клієнтів робити резервні копії перед тим, як щось оновлюєте чи вносите зміни в код сайту. Можливо найбільша проблема в даному випадку була через те, що розробники вирішили у новій версії WordPress видалити застарілий скрипт jQuery Migrate.

Багато шаблонів та плагінів WordPress використовують старі сценарії jQuery, що викликає цілий ряд проблем, коли не підключено jQuery Migrate, який дозволяв працювати такому коду, забезпечуючи сумісність з актуальною версією jQuery.

З оновленням до WordPress 5.5 скрипт jquery-migrate більше не буде увімкнений за замовчуванням. Це може призвести до несподіваної поведінки в деяких темах або плагінах, які використовують застарілий код. На момент написання статті понад 100 000 власників сайтів на WordPress завантажили плагін Enable jQuery Migrate Helper, що лікує ці проблеми у WordPress 5.5, оскільки повертає підтримку jQuery Migrate.

Більше 2000 плагінів в репозиторії WordPress мають старий код jQuery , що призводить до проблем та конфліктів після оновлення до версії WordPress 5.5.

Інші проблеми після оновлення до WordPress 5.5

Це лише деякі проблеми, з якими стикаються користувачі

Як виправити проблему WordPress 5.5 та jQuery

WordPress випустив плагін, який відновлює бібліотеку jQuery Migrate. Встановивши цей плагін, ваш сайт знову запрацює. Але …

Плагін фактично не виправляє ніяких помилок, якщо щось було не так із вашим сайтом до оновлення, він лише знову підключає до сайту бібліотеку jquery-migrate. Завдяки плагіну ваш сайт знову працює за умови, що проблема викликана саме відсутністю jquery-migrate.

Більшість розробників плагінів та шаблонів вдосконалюють своє програмне забезпечення. Тож перегляньте, чи доступні оновлення для вашого шаблону та плагінів, можливо їх розробники вже випустили виправлення, що роблять їх сумісними з останньою версією WordPress, і встановлення додаткового плагіну не є необхідним. Не забувайте робити бекап!

Плагін, необхідний для відновлення функціональності веб-сайту WordPress, називається Enable jQuery Migrate Helper. Ви можете завантажити його тут .

Достатньо активувати плагін jQuery Migrate Helper – і бібліотека jquery-migrate знову буде підключена до сайту.

Залишити відповідь

Ваша e-mail адреса не оприлюднюватиметься. Обов’язкові поля позначені *


Сьогодні діє
промокод
MTSA0T45YA